unit Unit12;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, XPMan, ExtCtrls, StdCtrls, sLabel, jpeg;

type
  TForm12 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Image1: TImage;
    Image2: TImage;
    Image3: TImage;
    Image4: TImage;
    Image5: TImage;
    Image6: TImage;
    Image7: TImage;
    Image8: TImage;
    Image9: TImage;
    Image10: TImage;
    Image11: TImage;
    Image12: TImage;
    Image13: TImage;
    Image14: TImage;
    Image15: TImage;
    Image16: TImage;
    Image17: TImage;
    Image18: TImage;
    Image19: TImage;
    Image20: TImage;
    Image21: TImage;
    Image22: TImage;
    Image23: TImage;
    Image24: TImage;
    Image25: TImage;
    Image26: TImage;
    Image27: TImage;
    Image28: TImage;
    Image29: TImage;
    Image30: TImage;
    Image31: TImage;
    Image32: TImage;
    Image33: TImage;
    Image34: TImage;
    Image35: TImage;
    Image36: TImage;
    Image37: TImage;
    Image38: TImage;
    Image39: TImage;
    Image40: TImage;
    Image41: TImage;
    Image42: TImage;
    Image43: TImage;
    Image44: TImage;
    Image45: TImage;
    Image46: TImage;
    Image47: TImage;
    Image48: TImage;
    Image49: TImage;
    Image50: TImage;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    sLabel1: TsLabel;
    sLabel2: TsLabel;
    Label7: TLabel;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    RadioButton3: TRadioButton;
    RadioButton4: TRadioButton;
    Button1: TButton;
    RadioButton5: TRadioButton;
    Memo1: TMemo;
    Timer1: TTimer;
    XPManifest1: TXPManifest;
    procedure Timer1Timer(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form12: TForm12;
  f:TextFile;
s:String;
b:Integer;
oc:Integer;

implementation

uses Unit4, Unit13;

{$R *.dfm}

procedure TForm12.Timer1Timer(Sender: TObject);
begin
If Label1.Caption='Вопрос №1' then Image1.Visible:=True;
If Label1.Caption='Вопрос №2' then begin Image2.Visible:=True;Image1.Visible:=False; end;
If Label1.Caption='Вопрос №3' then begin Image3.Visible:=True;Image2.Visible:=False; end;
If Label1.Caption='Вопрос №4' then begin Image4.Visible:=True;Image3.Visible:=False; end;
If Label1.Caption='Вопрос №5' then begin Image5.Visible:=True;Image4.Visible:=False; end;
If Label1.Caption='Вопрос №6' then begin Image6.Visible:=True;Image5.Visible:=False; end;
If Label1.Caption='Вопрос №7' then begin Image7.Visible:=True;Image6.Visible:=False; end;
If Label1.Caption='Вопрос №8' then begin Image8.Visible:=True;Image7.Visible:=False; end;
If Label1.Caption='Вопрос №9' then begin Image9.Visible:=True;Image8.Visible:=False; end;
If Label1.Caption='Вопрос №10' then begin Image10.Visible:=True;Image9.Visible:=False; end;
If Label1.Caption='Вопрос №11' then begin Image11.Visible:=True;Image10.Visible:=False; end;
If Label1.Caption='Вопрос №12' then begin Image12.Visible:=True;Image11.Visible:=False; end;
If Label1.Caption='Вопрос №13' then begin Image13.Visible:=True;Image12.Visible:=False; end;
If Label1.Caption='Вопрос №14' then begin Image14.Visible:=True;Image13.Visible:=False; end;
If Label1.Caption='Вопрос №15' then begin Image15.Visible:=True;Image14.Visible:=False; end;
If Label1.Caption='Вопрос №16' then begin Image16.Visible:=True;Image15.Visible:=False; end;
If Label1.Caption='Вопрос №17' then begin Image17.Visible:=True;Image16.Visible:=False; end;
If Label1.Caption='Вопрос №18' then begin Image18.Visible:=True;Image17.Visible:=False; end;
If Label1.Caption='Вопрос №19' then begin Image19.Visible:=True;Image18.Visible:=False; end;
If Label1.Caption='Вопрос №20' then begin Image20.Visible:=True;Image19.Visible:=False; end;
If Label1.Caption='Вопрос №21' then begin Image21.Visible:=True;Image20.Visible:=False; end;
If Label1.Caption='Вопрос №22' then begin Image22.Visible:=True;Image21.Visible:=False; end;
If Label1.Caption='Вопрос №23' then begin Image23.Visible:=True;Image22.Visible:=False; end;
If Label1.Caption='Вопрос №24' then begin Image24.Visible:=True;Image23.Visible:=False; end;
If Label1.Caption='Вопрос №25' then begin Image25.Visible:=True;Image24.Visible:=False; end;
If Label1.Caption='Вопрос №26' then begin Image26.Visible:=True;Image25.Visible:=False; end;
If Label1.Caption='Вопрос №27' then begin Image27.Visible:=True;Image26.Visible:=False; end;
If Label1.Caption='Вопрос №28' then begin Image28.Visible:=True;Image27.Visible:=False; end;
If Label1.Caption='Вопрос №29' then begin Image29.Visible:=True;Image28.Visible:=False; end;
If Label1.Caption='Вопрос №30' then begin Image30.Visible:=True;Image29.Visible:=False; end;
If Label1.Caption='Вопрос №31' then begin Image31.Visible:=True;Image30.Visible:=False; end;
If Label1.Caption='Вопрос №32' then begin Image32.Visible:=True;Image31.Visible:=False; end;
If Label1.Caption='Вопрос №33' then begin Image33.Visible:=True;Image32.Visible:=False; end;
If Label1.Caption='Вопрос №34' then begin Image34.Visible:=True;Image33.Visible:=False; end;
If Label1.Caption='Вопрос №35' then begin Image35.Visible:=True;Image34.Visible:=False; end;
If Label1.Caption='Вопрос №36' then begin Image36.Visible:=True;Image35.Visible:=False; end;
If Label1.Caption='Вопрос №37' then begin Image37.Visible:=True;Image36.Visible:=False; end;
If Label1.Caption='Вопрос №38' then begin Image38.Visible:=True;Image37.Visible:=False; end;
If Label1.Caption='Вопрос №39' then begin Image39.Visible:=True;Image38.Visible:=False; end;
If Label1.Caption='Вопрос №40' then begin Image40.Visible:=True;Image39.Visible:=False; end;
If Label1.Caption='Вопрос №41' then begin Image41.Visible:=True;Image40.Visible:=False; end;
If Label1.Caption='Вопрос №42' then begin Image42.Visible:=True;Image41.Visible:=False; end;
If Label1.Caption='Вопрос №43' then begin Image43.Visible:=True;Image42.Visible:=False; end;
If Label1.Caption='Вопрос №44' then begin Image44.Visible:=True;Image43.Visible:=False; end;
If Label1.Caption='Вопрос №45' then begin Image45.Visible:=True;Image44.Visible:=False; end;
If Label1.Caption='Вопрос №46' then begin Image46.Visible:=True;Image45.Visible:=False; end;
If Label1.Caption='Вопрос №47' then begin Image47.Visible:=True;Image46.Visible:=False; end;
If Label1.Caption='Вопрос №48' then begin Image48.Visible:=True;Image47.Visible:=False; end;
If Label1.Caption='Вопрос №49' then begin Image49.Visible:=True;Image48.Visible:=False; end;
If Label1.Caption='Вопрос №50' then begin Image50.Visible:=True;Image49.Visible:=False; end;
end;

procedure TForm12.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  CloseFile(f);
end;

procedure TForm12.Button1Click(Sender: TObject);
begin
Button1.Caption:='Далее';//изменение имени кнопки
Label1.Visible:=true;//становиться видимым
//Label2.Visible:=true;//
RadioButton1.Visible:=true;//
RadioButton2.Visible:=true;//
RadioButton3.Visible:=true;//
RadioButton4.Visible:=true;//
RadioButton5.Visible:=true;//
Label7.Visible:=True;
Label3.Visible:=True;
Label4.Visible:=True;
Label5.Visible:=True;
Label6.Visible:=True;
sLabel1.Visible:=false;
if (s='1')and(RadioButton1.Checked) then b:=b+1;//если в текстовом файле правильный ответ равен одному и в тесте выбран ответ 1,то в перенную b сохраняется и записывается один балл.
if (s='2')and(RadioButton2.Checked) then b:=b+1;//
if (s='3')and(RadioButton3.Checked) then b:=b+1;//
if (s='4')and(RadioButton4.Checked) then b:=b+1;//
if (s='5')and(RadioButton5.Checked) then b:=b+1;//
if not(eof(f)) then//если не конец фйла, то
begin
Readln(f,s);// прочитать из файла строку
Label1.Caption:=s;// принимает знаечение первой строки текстового файла
Readln(f,s);
Label2.Caption:=s;
Readln(f,s);
RadioButton1.Caption:=s;
Readln(f,s);
RadioButton2.Caption:=s;
Readln(f,s);
RadioButton3.Caption:=s;
Readln(f,s);
RadioButton4.Caption:=s;
Readln(f,s)
{RadioButton5.Caption:=s;
Readln(f,s)}
end else form13.show;// показать форму 4
if (b <= 50) and  (b>= 45)// если балл от 50 до 45
then oc:= 5;// то ставиться оценка 5
if (b <= 45) and  (b>= 30)
then oc:= 4;
if (b <= 30) and  (b>= 15)
then oc:= 3;
if b < 15// если оценка меньше 15
then oc:= 2;// то оценка 2
Form13.Label1.Caption:=inttostr(b);// в лейбел выводится балл (переводиться из интегрального в строковый тип данных)
Form13.Label2.Caption:=inttostr(oc); // выводится оценка
//////////
end;

procedure TForm12.FormCreate(Sender: TObject);
begin
AssignFile(f,'test.txt');reset(f); //подключ. текст файл// откр текст файл
end;

end.
 